Le forum français des radios OpenTX ou FrOS
Le forum français des radios OpenTX ou FrOS
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Le Deal du moment : -45%
WHIRLPOOL OWFC3C26X – Lave-vaisselle pose libre ...
Voir le deal
339 €

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

4 participants

Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Mer 9 Fév 2022 - 21:36

Bonjour.

J'ai une TX Turnigy 9ch  que j'ai flashé sous Open TX. Elle fonctionne bien, j'ai encore volé cet aprés midi.

Mon PC tourne sous Debian. Companion, la dernière fois que je l'ai utilisé fonctionnait aussi ( c'était début janvier ).

Puis je suis passé sous Debian 11 ( bulleye ) depuis une semaine environ.

Distributor ID: Debian
Description: Debian GNU/Linux 11 (bullseye)
Release: 11
Codename: bullseye

Aujourd'hui j'ai voulu revoir la calibration de mon TX.
Plus de Companion ! Parti.

J'ai téléchargé  Companion, un vieux qui fonctionnait bien avant car mon Tx date : companion21_2.1.9_amd64.deb ( c'est du 64 bits ).
Pas moyen de l'installer, il a souci.
sudo dpkg -i *.deb
sudo apt install ./MY_DEB_FILE.deb
ne fonctionnent pas : soucis de dépendance.
Avec GDeibi  même souci, il me dit " erreur la dépendance ne peut être satisfaite : libphonon4 (>=4:4.3.0)

Bizarre que Companion ait été viré.

Je suis peut être  hors sujet là ?

Merci


Dernière édition par sagamore le Sam 12 Fév 2022 - 18:17, édité 1 fois

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par CoyotteDundee Jeu 10 Fév 2022 - 8:44

Bonjour,

La version 2.1.9 date de... Novembre 2016.
Il n'est pas anormal que les dépendances d'une version de 2016 ne correspondent plus à un OS de 2021.

La solution la plus logique serait d'installer Companion 2.3.14 et de migrer la radio vers cette version (en étapes pour ne pas perdre tes modèles)

Tu peux aussi essayer d'installer une 2.2.4 (de 2019) si tu ne veux pas être à jour.
Attention : Les sauvegardes seront possibles mais tu ne pourras probablement pas renvoyer tes fichiers vers la radio si elle reste en 2.1.9.

Coyotte

_________________

... the alien anthropologists admitted they were still perplexed.
But on eliminating every other reason for our sad demise, they logged the only explanation left :
This species has amused itself to death...
                                                                                                                                    (R. Waters)

Pas de support par MP ! Nous sommes sur un forum pour échanger publiquement.
CoyotteDundee
CoyotteDundee
Administrateur

Masculin Messages : 5886
Date d'inscription : 03/03/2014
Age : 60
Localisation : Montegnée (Liège)

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Jeu 10 Fév 2022 - 10:35

Merci de ta réponse.

Ben oui elle est pas top ma radio, mais elle fonctionne très bien. J'ai mis les mains dans le camboui pour la flasher sous OpenTx, pour y installer un rétro éclairage digne de ce nom, et une alim Lipo. J'irai bien acheter une Taranis ( X9 Lite S ou QX7 ) mais les sous manquent ( sans compter le coût des Rx ).
Donc je suis obligé de conserver ma version antédéluvienne d'Open TX qui est dans ma radio.
Installer un Companion plus récent, certes mais si je ne peux plus envoyer des fichiers vers ma radio, à quoi bon ?
Et puis ça risque de passer en dog fight tout çà.

J'ai un vieux ssd qui traine. Je vais lui installer Debian 9 Stretch et ça sera résolu ( je l'espère ).

Merci.

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par CoyotteDundee Jeu 10 Fév 2022 - 10:43

Re,

Je ne sais pas ce que tu as pour un PC et quelle place y est disponible mais tu peux aussi peut-être envisager un dualboot avec une toute petite partoche pour ton vieux Debian, juste pour faire tourner l'OS et installer Companion 2.1.9.

Coyotte

_________________

... the alien anthropologists admitted they were still perplexed.
But on eliminating every other reason for our sad demise, they logged the only explanation left :
This species has amused itself to death...
                                                                                                                                    (R. Waters)

Pas de support par MP ! Nous sommes sur un forum pour échanger publiquement.
CoyotteDundee
CoyotteDundee
Administrateur

Masculin Messages : 5886
Date d'inscription : 03/03/2014
Age : 60
Localisation : Montegnée (Liège)

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par Jo le Papy Jeu 10 Fév 2022 - 11:28

Bonjour,

Tu ne peux pas simplement réinstaller "libphonon4" ? avec apt ou en .deb

Voir ici
Jo le Papy
Jo le Papy

Masculin Messages : 1146
Date d'inscription : 23/06/2019
Age : 61
Localisation : Villiersfaux

https://www.brisse-rc.com/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Jeu 10 Fév 2022 - 17:28

Fait avec apt
Aucune version du paquet libphonon4 n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
E: Le paquet « libphonon4 » n'a pas de version susceptible d'être installée

Marche pas. Tente en .deb mais là n'y crois pas du tout.

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Jeu 10 Fév 2022 - 17:44

Le fichier en .deb avec Gdebi

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Captur10

Pareil.

J'installe Buster sur un vieux ssd, ça sera plus simple.

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par Jo le Papy Jeu 10 Fév 2022 - 18:15

oui pas étonnant, cette librairie est obsolète, ça valait le coup d'essayer...
Jo le Papy
Jo le Papy

Masculin Messages : 1146
Date d'inscription : 23/06/2019
Age : 61
Localisation : Villiersfaux

https://www.brisse-rc.com/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Jeu 10 Fév 2022 - 22:22

Bon ça y est, sur le vieux ssd il y a Debian 9.5 et Companion 2.1.9 installés.
Les deux fonctionnent bien.

Souci ( ben oui quand ça merde .....) companion 2.1.9 ne reconnait pas ma radio.
Il faut que je vérifie si je ne me suis pas trompé de version. Ca commence à me les briser menu !

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Jeu 10 Fév 2022 - 22:53

Il est question d'avrdude qui est manquant.dans /usr/bin/

Je vois ça demain.

Sinon les mises à jour, c'est bien pour la sécurité , mais des fois ça met le bouic.

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Ven 11 Fév 2022 - 10:57

Quand j'ouvre Companion j'ai ce message ;
Le firmware opentx-9x-en n'a jamais été téléchargé.
La version 2.1.9 (2016-09-14) est disponible.
Voulez-vous la télécharger maintenant ?
Je mets oui et j'ai cette boite d'alerte :

Impossible d'enregistrer le fichier /bin/opentx-9x-en.hex : Permission denied.

Il est question de permissions.

Bon j'avoue ma précédente install d'Opentx c'était il y a quelques années.

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par Jo le Papy Ven 11 Fév 2022 - 12:06

Oui bien sûr, il ne faut pas enregistrer les fichiers téléchargés dans "/bin" heureusement que la permission est refusée.

Change le chemin dans la configuration de companion, il faut mettre un dossier dans ton dossier /user/ton_nom
Jo le Papy
Jo le Papy

Masculin Messages : 1146
Date d'inscription : 23/06/2019
Age : 61
Localisation : Villiersfaux

https://www.brisse-rc.com/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Ven 11 Fév 2022 - 23:48

Je queute toujours sur libphonon4 sous Debain11.

J'ai essayé avec la 9.5 et la 9 , même souci.
Aussi avec Ubtuntu. J'ai pas essayé Mint ( que j'utilise sur mon Eeepc Asus ) !

Suite à la mise à jour de Debian ( je suis parti de la 8 à la 11 ), J'ai perdu libphonon et autres fichiers en plus d'être  pris par des soucis de dépendances et de fichiers qui n'existent plus ou sont ininstalables. Bref du trop gros pour moi qui ne suis pas un super informaticien tombé dans le bash étant petit. Faire évoluer une distro , OK , réveiller un ancêtre ça se termine en dog fight ( c'est comme réveiller Akenaton ) : il y a toujours un fichier qui fait chier.
Souci aussi, trouver à télécharger une version Debian 8. C'est ballot, j'avais les DVD il y a quelques mois. J'aurais du les garder.  
Je me promet d'acheter un SSD de 30 Go et d'y coller une distro ancienne et ce p....... de companion 2.1.9

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par CoyotteDundee Sam 12 Fév 2022 - 0:06

Bonsoir,

Une autre piste (mais je en sais pas si elle fonctionne) est de tenter l'installation d'une version de Companion 2.1.9 Windows sous Wine.

Cela pourrait éviter de consacrer un nouveau disque à une ancienne version.

Coyotte

_________________

... the alien anthropologists admitted they were still perplexed.
But on eliminating every other reason for our sad demise, they logged the only explanation left :
This species has amused itself to death...
                                                                                                                                    (R. Waters)

Pas de support par MP ! Nous sommes sur un forum pour échanger publiquement.
CoyotteDundee
CoyotteDundee
Administrateur

Masculin Messages : 5886
Date d'inscription : 03/03/2014
Age : 60
Localisation : Montegnée (Liège)

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par Dehas Sam 12 Fév 2022 - 8:18

Bonjour
Je vais peut être dire une co.....ie, mais libphonon4 et assujetti a la librairie QT4 qui est aussi obsolète.
Que tu installe une ancienne version de linux ou une récente, rien n'y fera, du moins je le pense.
Sinon essaye ça sur une ancienne version, si ça ne passe pas c'est foutue, il te faudra mettre a jour a la dernière version ta radio.
Code:
sudo apt-get install libqt4-dev
Dehas
Dehas

Masculin Messages : 1046
Date d'inscription : 25/01/2017
Age : 66
Localisation : Saint Dié des Vosges

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Sam 12 Fév 2022 - 14:31

J'ai fait :
Code:
sudo apt-get install libqt4-dev

Quand je branche ma radio et que je clique sur " lire les réglages et modèles depuis la radio "
ça me donne une boite d'alerte :

/usr/bin/avrdude -c usbasp -p m128 -P com6 -U eeprom:r:/tmp/4787-temp.hex:i
=================================================================================
/usr/bin/avrdude: error while loading shared libraries: libreadline.so.8: cannot open shared object file: No such file or directory


sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par Dehas Sam 12 Fév 2022 - 14:59

Dehas
Dehas

Masculin Messages : 1046
Date d'inscription : 25/01/2017
Age : 66
Localisation : Saint Dié des Vosges

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Sam 12 Fév 2022 - 16:02

C'est reparti.
Code:
udo apt-get install gcc build-essential
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances     
Lecture des informations d'état... Fait
Aucune version du paquet gcc n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « gcc » n'a pas de version susceptible d'être installée
E: Impossible de trouver le paquet build-essential

Ca fait 2 jours que je suis sur l'affaire.
Dommage car Companion est bien pratique pour programmer ou modifier un modèle.
La radio fonctionne.
Dernière piste Win Seven en espérant ne pas tomber sur les même soucis.

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Sam 12 Fév 2022 - 17:29

Installation facile sous Seven ( win ).
Mais j'ai quand même ce message
Code:
 avrdude.exe: could not find USB device "USBasp" with vid=0x16c0 pid=0x5dc

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Sam 12 Fév 2022 - 18:13

Ca marche après install d'un driver pour USB asp !
Pas tout compris sous Debian.
Ma vieille radio Turnigy 9ch va encore durer un bon bout de temps.
Je préfère faire des réglages avec Companion, c'est plus rapide.
Directement sur la radio, c'est bon sur le terrain.

Promis je ne dirais plus de mal de Win.................................... suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) 2258904616

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par CoyotteDundee Dim 13 Fév 2022 - 9:24

Hello,

Promis je ne dirais plus de mal de Win....................................
Bon...Ok, tu as été secoué par ton problème.
Mais ce n'est pas pour cela qu'il faut tomber en dépression et te laisser aller des extrémités...
suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) 3933531111

Coyotte

_________________

... the alien anthropologists admitted they were still perplexed.
But on eliminating every other reason for our sad demise, they logged the only explanation left :
This species has amused itself to death...
                                                                                                                                    (R. Waters)

Pas de support par MP ! Nous sommes sur un forum pour échanger publiquement.
CoyotteDundee
CoyotteDundee
Administrateur

Masculin Messages : 5886
Date d'inscription : 03/03/2014
Age : 60
Localisation : Montegnée (Liège)

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par sagamore Dim 13 Fév 2022 - 11:43

Ah oui ça secoue. J'ai essayé au moins 3 Debian et 2 Ubuntu et Mint. A chaque fois j'étais écrabouillé à 2 doigts de la ligne. A la fin c'est vrai que ça déprime, et que de temps perdu.

Je me demande si ce souci de driver pour USB asp pointé par Seven ne m'a pas causé des soucis sous Linux.

Bon c'est réglé maintenant. J'ai eu de la chance, j'ai fait la maj du portable de ma femme AVANT ( elle est tranquille avec Jammy Ubuntu qui va passer en stable dans 2 mois ).

Sitôt que les finances vont mieux, je verrai pour une radio plus récente ( QX7 ou X9lite, bien sur en cas de miracle X9D+ ou QX7S mais là c'est vraiment peu probable ).

sagamore

Masculin Messages : 109
Date d'inscription : 09/10/2019
Age : 76
Localisation : Eure

https://aubruchet.pagesperso-orange.fr/aquarelles/

Revenir en haut Aller en bas

suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0)  (( résolu ) Empty Re: suite à m à j vers Debian 11 plus de Companion ( souci de dépendance avec libphonon4 (>=4:4.3.0) (( résolu )

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum